{"swagger":"2.0","info":{"version":"v1","title":"Ababa API","description":"A sample Ababa API this example demonstrate features of websites","termsOfService":"http://ababa.io/terms/","contact":{"name":"Zamsol","email":"info@zamsol.com","url":"http://ababa.io"},"license":{"name":"MIT","url":"http://opensource.org/licenses/MIT"}},"host":"www.ababa.io","basePath":"/websvr/v1","tags":[{"name":"call","description":"Everything to do with call records","externalDocs":{"description":"Find out more about our api","url":"http://ababa.io/api"}}],"schemes":["http"],"securityDefinitions":{"apiAuthorization":{"type":"apiKey","description":"Client credentials with a public and a private key using HMAC.","name":"Authorization","in":"header"}},"security":[{"apiAuthorization":[]}],"paths":{"/call/searchCallByCallID":{"get":{"tags":["call"],"summary":"Returns a specific call record referenced by the ID given","description":"Returns a list of calls of the given matching criteria","operationId":"searchCallByCallID","produces":["application/json"],"parameters":[{"$ref":"#/parameters/idParam"}],"responses":{"200":{"description":"An object containing all the details of a specific call record","schema":{"$ref":"#/definitions/CallResponse"}},"401":{"description":"Invalid API Key"},"default":{"description":"Unexpected error","schema":{"$ref":"#/definitions/Error"}}}}},"/call/searchCallByFileName":{"get":{"tags":["call"],"summary":"Returns a specific call record referenced by the filename / filetitle given","description":"Returns a list of calls of the given matching criteria","operationId":"getCallByName","produces":["application/json"],"parameters":[{"$ref":"#/parameters/filenameParam"}],"responses":{"200":{"description":"An object containing all the details of a specific call record","schema":{"$ref":"#/definitions/CallResponseFilename"}},"400":{"description":"Invalid status value","schema":{"$ref":"#/definitions/Error"}}}}}},"definitions":{"Call":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"filename":{"type":"string","example":"ababa.wav"},"filetitle":{"type":"string","example":"ababa"},"desc":{"type":"string","example":"File description"},"duration":{"type":"string","example":"Call duration is second"},"recordingurl":{"type":"string","example":"Recording URL"}}},"AbabaServices":{"type":"object","properties":{"transcription":{"type":"string","default":"active","enum":["active","inactive"]},"analytics":{"type":"string","default":"inactive","enum":["inactive","active"]},"insight":{"type":"string","default":"active","enum":["active","inactive"]}}},"CallResponse":{"type":"object","properties":{"result":{"type":"string","description":"Specifies the outcome of the request made"},"error":{"type":"string","description":"Message of the error that occurred"},"data":{"type":"object","allOf":[{"$ref":"#/definitions/Call"},{"properties":{"created_date":{"type":"string","format":"date-time"}}},{"type":"object","properties":{"services":{"$ref":"#/definitions/AbabaServices"}}}]}}},"SearchByFilenameResponse":{"type":"object","allOf":[{"$ref":"#/definitions/Call"},{"properties":{"created_date":{"type":"string","format":"date-time"}}},{"type":"object","properties":{"services":{"$ref":"#/definitions/AbabaServices"}}}]},"Error":{"type":"object","properties":{"result":{"type":"string","description":"Specifies the outcome of the request made"},"error":{"type":"string","description":"Message of the error that occurred"},"count":{"type":"integer","format":"int32","description":"Total number of records found"},"data":{"type":"object","description":"This will be empty object if no record found"}}},"CallResponseFilename":{"type":"object","properties":{"result":{"type":"string","description":"Specifies the outcome of the request made"},"error":{"type":"string","description":"Message of the error that occurred"},"count":{"type":"string","description":"Total number of search record"},"data":{"type":"array","items":{"$ref":"#/definitions/SearchByFilenameResponse"}}}}},"externalDocs":{"description":"Find out more about our API","url":"http://ababa.io/api"},"parameters":{"idParam":{"name":"id","in":"query","description":"Identification FileID for the end point record to be returned","required":true,"type":"integer","format":"int32"},"filenameParam":{"name":"filename","in":"query","description":"Search Call by filename","required":true,"type":"string"}}}